Bug 87636 - TOOLBAR: New button not clickable when Templates preselected
Summary: TOOLBAR: New button not clickable when Templates preselected
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.6.2 release
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.5.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2014-12-23 12:48 UTC by Yousuf Philips (jay) (retired)
Modified: 2015-12-17 08:42 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-12-23 12:48:52 UTC
Steps:
1) Open Writer
2) Click on the New button drop down arrow in the toolbar and select Templates
3) Template dialog will appear
4) Close dialog
5) Templates is now the default button in the New button
6) Press on the Template button
7) Templates dialog doesnt open.

This is a regression as it worked correctly in 4.1.6.

Version: 4.5.0.0.alpha0+
Build ID: e570cd7a293ceee175949dcc9656cdf776ae3c37
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-12-12_18:49:54

Either this should be fixed or more ideally, templates shouldnt be set as the default button.
Comment 1 Yousuf Philips (jay) (retired) 2014-12-25 08:55:27 UTC
Mistakenly set this to NEW when i submitted it. :D
Comment 2 Rostislav 'R.Yu.' Okulov 2014-12-25 12:07:24 UTC
Lot's of skip because of fail when click on Templates menu. Anyway I did my best for proper result.

git bisect log
git bisect start
# skip: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect skip 65fd30f5cb4cdd37995a33420ed8273c0a29bf00
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect good 65fd30f5cb4cdd37995a33420ed8273c0a29bf00
# bad: [793dbf6f80f497dfe587d560d6257f42a24273f6] source-hash-1581b1fc3ac82a7bd62df968226e98604a4ca52d
git bisect bad 793dbf6f80f497dfe587d560d6257f42a24273f6
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect good 65fd30f5cb4cdd37995a33420ed8273c0a29bf00
# good: [8092559c5013969ebda017d79200463b9b975038] source-hash-fd84daf696a368c2c7561b5253b32a63ecdeca4a
git bisect good 8092559c5013969ebda017d79200463b9b975038
# bad: [0270ef1b76a6de423b30f7927362cc01c1a0fc38] source-hash-b1f7dd66b898b03cb4bd8d434b6370310ea95946
git bisect bad 0270ef1b76a6de423b30f7927362cc01c1a0fc38
# skip: [7be68a718d3dbd2254fe62c0af8b4f0b5d602e4b] source-hash-bd7b2c7befbd10bebaba3a9b6ea491969ac1dcb0
git bisect skip 7be68a718d3dbd2254fe62c0af8b4f0b5d602e4b
# good: [d6f85db8defda1567f79ca62dc9a11b74880dd86] source-hash-c9562064740baed3a9978723c5fe77b44a13a7aa
git bisect good d6f85db8defda1567f79ca62dc9a11b74880dd86
# bad: [3424f6f8a0e53bba75da67c3b2a83e385884f94c] source-hash-fe46fc0f27ad5dac188517ff3f76bb1604aeeac1
git bisect bad 3424f6f8a0e53bba75da67c3b2a83e385884f94c
# skip: [287890d90b257ba0c942c73422b0ea16ac5279c5] source-hash-542a71acd98620b0b6d4e19c4525723ec9aec3b7
git bisect skip 287890d90b257ba0c942c73422b0ea16ac5279c5
# good: [9d949188fd0196f985c69dbec559afe521b9173a] source-hash-6bacf391710c8ebaa42b083dc14fb13cff48cd16
git bisect good 9d949188fd0196f985c69dbec559afe521b9173a
# good: [076f8692e540a06385de0052034319e8a4d920e0] source-hash-6310424aff68ad0cb354b15b5c92324e933ffae2
git bisect good 076f8692e540a06385de0052034319e8a4d920e0
# good: [e49c08bb9dd94d979ea4a4f37745a56b0e99078b] source-hash-001da6553adfcb160a08225fdd6aea478bd7dea9
git bisect good e49c08bb9dd94d979ea4a4f37745a56b0e99078b
# good: [f3d59858f60b320f7351e560b3b72ade8a5657ac] source-hash-86fd1240bbbb8ee72899abc24daf5e4402a61add
git bisect good f3d59858f60b320f7351e560b3b72ade8a5657ac
# skip: [fab22b6541cddeda9ab9d4fd3436b3ba6e3297c0] source-hash-d62425cc27e04a3237cfec2ea2663b8b11284ec8
git bisect skip fab22b6541cddeda9ab9d4fd3436b3ba6e3297c0
# good: [a13e53bf8b7e4ec2fe5b501d3413f10ea5b793a3] source-hash-11b851d2f2f8ee6230b8c732d5b157e472c21be2
git bisect good a13e53bf8b7e4ec2fe5b501d3413f10ea5b793a3
# skip: [6aa5e27a00e423af05dabd7532d404211708d3e6] source-hash-609cb4b332e4b2ddb1f449ba059fd33c3d49dc84
git bisect skip 6aa5e27a00e423af05dabd7532d404211708d3e6
# skip: [92245e9ab5788297a91fd0d557529f07bbb1c5df] source-hash-a16a4006e40bdb2cb4671846295fe2bf5a856e68
git bisect skip 92245e9ab5788297a91fd0d557529f07bbb1c5df
# only skipped commits left to test
# possible first bad commit: [3424f6f8a0e53bba75da67c3b2a83e385884f94c] source-hash-fe46fc0f27ad5dac188517ff3f76bb1604aeeac1
# possible first bad commit: [92245e9ab5788297a91fd0d557529f07bbb1c5df] source-hash-a16a4006e40bdb2cb4671846295fe2bf5a856e68
# possible first bad commit: [6aa5e27a00e423af05dabd7532d404211708d3e6] source-hash-609cb4b332e4b2ddb1f449ba059fd33c3d49dc84
# possible first bad commit: [fab22b6541cddeda9ab9d4fd3436b3ba6e3297c0] source-hash-d62425cc27e04a3237cfec2ea2663b8b11284ec8



There are only 'skip'ped commits left to test.
The first bad commit could be any of:
6aa5e27a00e423af05dabd7532d404211708d3e6
92245e9ab5788297a91fd0d557529f07bbb1c5df
fab22b6541cddeda9ab9d4fd3436b3ba6e3297c0
3424f6f8a0e53bba75da67c3b2a83e385884f94c
We cannot bisect more!
Comment 3 Rostislav 'R.Yu.' Okulov 2014-12-25 12:30:29 UTC
git bisect log
git bisect start
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect good 65fd30f5cb4cdd37995a33420ed8273c0a29bf00
# bad: [793dbf6f80f497dfe587d560d6257f42a24273f6] source-hash-1581b1fc3ac82a7bd62df968226e98604a4ca52d
git bisect bad 793dbf6f80f497dfe587d560d6257f42a24273f6
# bad: [793dbf6f80f497dfe587d560d6257f42a24273f6] source-hash-1581b1fc3ac82a7bd62df968226e98604a4ca52d
git bisect bad 793dbf6f80f497dfe587d560d6257f42a24273f6
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect good 65fd30f5cb4cdd37995a33420ed8273c0a29bf00
# good: [8092559c5013969ebda017d79200463b9b975038] source-hash-fd84daf696a368c2c7561b5253b32a63ecdeca4a
git bisect good 8092559c5013969ebda017d79200463b9b975038
# bad: [0270ef1b76a6de423b30f7927362cc01c1a0fc38] source-hash-b1f7dd66b898b03cb4bd8d434b6370310ea95946
git bisect bad 0270ef1b76a6de423b30f7927362cc01c1a0fc38
# good: [aedcb9e93c73792e6d4f6bc5d74050efbe5af7c1] source-hash-358b60b3b172968a7605b428af01df456d7669b2
git bisect good aedcb9e93c73792e6d4f6bc5d74050efbe5af7c1
# good: [63ac4ab9665db60fac1e1813c9c80da52b2e87c6] source-hash-66e39940d763586060c4bcc8c3cd213495c40b79
git bisect good 63ac4ab9665db60fac1e1813c9c80da52b2e87c6
# good: [318bcb373da01174e1947da5e3ce77e078a33a77] source-hash-4a143c44fe7ad266ab9ab7dca317b0099b1438d0
git bisect good 318bcb373da01174e1947da5e3ce77e078a33a77
# bad: [ecefd44257608d071eee7dd4eb61aae6bfe8071c] source-hash-022c54742e7997bf46a608f1ab0b500f2537f7f5
git bisect bad ecefd44257608d071eee7dd4eb61aae6bfe8071c
# good: [63d24e0cdca72c011a433853700486b56d8ffa85] source-hash-5e5f3671f8448ee21b00f0d2a08b214e61f7f744
git bisect good 63d24e0cdca72c011a433853700486b56d8ffa85
# good: [c683a1dcf574d536fc55c708a6703382af2291a1] source-hash-462df4920ef50032c8f99a9db2ca34c9cc928657
git bisect good c683a1dcf574d536fc55c708a6703382af2291a1
# bad: [568191bfbf876078894a6554511a108b83e432ac] source-hash-b139f6fedfcf3cbed0eadeb007e2155b576413d2
git bisect bad 568191bfbf876078894a6554511a108b83e432ac
# first bad commit: [568191bfbf876078894a6554511a108b83e432ac] source-hash-b139f6fedfcf3cbed0eadeb007e2155b576413d2


568191bfbf876078894a6554511a108b83e432ac is the first bad commit
commit 568191bfbf876078894a6554511a108b83e432ac
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Thu Oct 17 14:12:56 2013 +0000

    source-hash-b139f6fedfcf3cbed0eadeb007e2155b576413d2
    
    commit b139f6fedfcf3cbed0eadeb007e2155b576413d2
    Author:     Tor Lillqvist <tml@iki.fi>
    AuthorDate: Mon Jun 24 18:04:09 2013 +0300
    Commit:     Tor Lillqvist <tml@iki.fi>
    CommitDate: Mon Jun 24 18:04:14 2013 +0300
    
        Remove leftover debugging printf
    
        Besides, it caused a WaE: format '%d' expects argument of type 'int', but
        argument 3 has type 'sal_Int32 {aka long int}'
    
        Change-Id: Ib0360816e7d0a4829aff4267aa922269950d520c

:100644 100644 fff41a9fb1584a053adab464772ddbc9c67c3cb9 4b10c5c8ddbedca0971e0839a8acc603792a447c M      ccache.log
:100644 100644 c6dfcf8928ae274866c7ae3bd8fd072e51c9afe5 54c63dd94c275598f317bb54ddfdd27aaad5d8a1 M      commitmsg
:100644 100644 b3fffbc7fb305e66d4d5cb726438968b1f436533 e607019f9ceabe4513be6de63f5724c67ece57f9 M      dev-install.log
:100644 100644 b565e48c1c3c269c234c6fdf795383bf54826961 2d16d57e331ca5fab2ec46ad12fe030528c544bb M      make.log
:040000 040000 464676117cdba9da185346c09abffc90ab55d7dc 3aaab4081e7400904dc31731c74182db7e18493c M      opt
Comment 4 Matthew Francis 2015-01-13 16:06:52 UTC
After a659ac906aa2d0dfd6d10e40d8a5a6d2d70cc8fc, a Writer window is opened instead of Templates. After 57207cab004cb78c3fa6d9ed43cc4bf81f4e6981, nothing happens.

Adding Cc: to caolanm@redhat.com. Could you possibly take a look at this? Thanks

commit a659ac906aa2d0dfd6d10e40d8a5a6d2d70cc8fc
Author:     Ariel Constenla-Haile <arielch@apache.org>
AuthorDate: Sat May 25 22:11:08 2013 +0000
Commit:     Caolán McNamara <caolanm@redhat.com>
CommitDate: Mon Jun 24 10:08:43 2013 +0100

    framework::PopupMenuController clean-up
    
    Changed the name, it is not a PopupMenuController, but a ToolbarController that
    shows a PopupMenu filled at runtime by a PopupMenuController
    
    Make it a base class for other ToolbarController components, there is no sense
    to make it a component by itself
    
    Use this base class for three new pure UNO ToolbarController's
    
    (cherry picked from commit 9d1015051c92900def3d465d2eb8bf179f19a398)


commit 57207cab004cb78c3fa6d9ed43cc4bf81f4e6981
Author:     Ariel Constenla-Haile <arielch@apache.org>
AuthorDate: Tue May 28 10:01:32 2013 +0000
Commit:     Caolán McNamara <caolanm@redhat.com>
CommitDate: Mon Jun 24 11:25:34 2013 +0100

    Add missing copy&paste of SfxAppToolBoxControl_Impl::Select
    
    (cherry picked from commit 47204c74d9e52f54f6983af19b66af2a96b42e61)
Comment 5 Commit Notification 2015-01-21 14:52:09 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1dbc6d05ded0dc1df75f7b9ff779571c98800035

Resolves: fdo#87636 New button not clickable when Templates preselected

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Robinson Tryon (qubit) 2015-12-17 08:42:26 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]